Subject: bug#76182: 31.0.50; minibuffer-allow-text-properties not reliable

From: Visuwesh <[email-masked]>
Date: Wed, 12 Feb 2025 16:59:42 +0530

[செவ்வாய் பிப்ரவரி 11, 2025] Juri Linkov wrote:

> This reminds the recent discussion at
> https://lists.gnu.org/archive/html/emacs-devel/2024-05/msg00819.html
> that required documenting this limitation in the docstring of
> 'imenu-flatten':
>
>   Since the values `annotation' and `group' rely on text properties,
>   you can use them only by selecting candidates from the completions
>   buffer, not by typing in the minibuffer.  This also means that
>   if you use `minibuffer-next-completion' (`M-<down>') to select
>   a completion while point stays in the minibuffer, you need
>   to customize `minibuffer-completion-auto-choose' to nil that
>   doesn't insert completion candidates to the minibuffer.

If it is much too difficult to make it reliable in all cases, shouldn't
this be called out in the docstring of minibuffer-allow-text-properties
itself?